/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.generators.genbase;



/**
 * Thrown By XMLUtils.newDocument() when DTD validated files are found.
 *
 * @author Guillaume Sauthier
 */
public class NoJ2EEWebservicesException extends GenBaseException {

    /**
     * Constructs NoJ2EEWebservicesException.
     */
    public NoJ2EEWebservicesException() {
        super();
    }

    /**
     * Constructs NoJ2EEWebservicesException.
     * @param msg Exception message
     */
    public NoJ2EEWebservicesException(String msg) {
        super(msg);
    }

    /**
     * Constructs NoJ2EEWebservicesException.
     * @param inner Inner Exception
     */
    public NoJ2EEWebservicesException(Exception inner) {
        super(inner);
    }

    /**
     * Constructs NoJ2EEWebservicesException.
     * @param msg Message text
     * @param inner Inner Exception
     */
    public NoJ2EEWebservicesException(String msg, Exception inner) {
        super(msg, inner);
    }

}
